Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 7236
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Daniel Robbins (RETIRED) <drobbins@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Maik Schreiber <blizzy-keyword-gentoo_bugs2.a8a736@blizzy.de>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 7236 depends on: Show dependency tree
Bug 7236 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2002-08-29 17:04 0000
Emerging djbdns fails with Portage 2.0.32. Following is the output of "emerge
djbdns", followed by "emerge -d djbdns".

For the record, I've checked that I've only got 2.0.32 on my system. I've
"emerge rsync"'ed before "emerge djbdns". I've also removed /var/tmp/portage/*


# emerge djbdns
Calculating dependencies ...done!
>>> emerge net-dns/djbdns-1.05-r3 to /
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Unpacking source...
>>> Unpacking djbdns-1.05.tar.gz

!!! ERROR: The ebuild did not complete successfully.
!!! Function src_unpack, Line -18, Exitcode 1
!!! (no error message)


# emerge -d djbdns
Calculating dependencies ...done!
>>> emerge net-dns/djbdns-1.05-r3 to /
+ dyn_clean
+ rm -rf /var/tmp/portage/djbdns-1.05-r3/work
+ rm -rf /var/tmp/portage/djbdns-1.05-r3/image
+ rm -rf /var/tmp/portage/djbdns-1.05-r3/build-info
+ rm -rf /var/tmp/portage/djbdns-1.05-r3/.compiled
+ set +x
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
+ dyn_setup
+ pkg_setup
+ return
+ set +x
+ dyn_unpack
+ trap abort_unpack SIGINT SIGQUIT
+ local newstuff=no
+ '[' -e /var/tmp/portage/djbdns-1.05-r3/work ']'
+ '[' -e /var/tmp/portage/djbdns-1.05-r3/work ']'
+ install -m0700 -d /var/tmp/portage/djbdns-1.05-r3/work
+ cd /var/tmp/portage/djbdns-1.05-r3/work
+ echo '>>> Unpacking source...'
>>> Unpacking source...
+ src_unpack
+ unpack djbdns-1.05.tar.gz
+ local x
+ local y
+ local myfail
+ myfail=failure unpacking djbdns-1.05.tar.gz
+ echo '>>> Unpacking djbdns-1.05.tar.gz'
>>> Unpacking djbdns-1.05.tar.gz
++ echo djbdns-1.05.tar.gz
++ sed 's:.*\.\(tar\)\.[a-zA-Z0-9]*:\1:'
+ y=tar
+ '[' tar == tar ']'
+ tar xz --no-same-owner -f /mnt/raid/portage/distfiles/djbdns-1.05.tar.gz
+ use ipv6
+ local x
+ '[' x86 = ipv6 ']'
+ '[' avi = ipv6 ']'
+ '[' crypt = ipv6 ']'
+ '[' encode = ipv6 ']'
+ '[' jpeg = ipv6 ']'
+ '[' libg++ = ipv6 ']'
+ '[' mikmod = ipv6 ']'
+ '[' mpeg = ipv6 ']'
+ '[' ncurses = ipv6 ']'
+ '[' qtmt = ipv6 ']'
+ '[' quicktime = ipv6 ']'
+ '[' xml2 = ipv6 ']'
+ '[' xv = ipv6 ']'
+ '[' gnome-libs = ipv6 ']'
+ '[' berkdb = ipv6 ']'
+ '[' bonobo = ipv6 ']'
+ '[' esd = ipv6 ']'
+ '[' gdbm = ipv6 ']'
+ '[' ggi = ipv6 ']'
+ '[' gif = ipv6 ']'
+ '[' gpm = ipv6 ']'
+ '[' gtk = ipv6 ']'
+ '[' guile = ipv6 ']'
+ '[' imlib = ipv6 ']'
+ '[' java = ipv6 ']'
+ '[' libwww = ipv6 ']'
+ '[' motif = ipv6 ']'
+ '[' nls = ipv6 ']'
+ '[' perl = ipv6 ']'
+ '[' png = ipv6 ']'
+ '[' readline = ipv6 ']'
+ '[' sdl = ipv6 ']'
+ '[' slang = ipv6 ']'
+ '[' ssl = ipv6 ']'
+ '[' svga = ipv6 ']'
+ '[' tcltk = ipv6 ']'
+ '[' tcpd = ipv6 ']'
+ '[' tiff = ipv6 ']'
+ '[' 3dnow = ipv6 ']'
+ '[' 3dnowext = ipv6 ']'
+ '[' alsa = ipv6 ']'
+ '[' apm = ipv6 ']'
+ '[' cups = ipv6 ']'
+ '[' dvd = ipv6 ']'
+ '[' fpu = ipv6 ']'
+ '[' gnome = ipv6 ']'
+ '[' -jikes = ipv6 ']'
+ '[' mmx = ipv6 ']'
+ '[' mmxext = ipv6 ']'
+ '[' mozilla = ipv6 ']'
+ '[' mysql = ipv6 ']'
+ '[' oggvorbis = ipv6 ']'
+ '[' opengl = ipv6 ']'
+ '[' pam = ipv6 ']'
+ '[' samba = ipv6 ']'
+ '[' truetype = ipv6 ']'
+ '[' X = ipv6 ']'
+ '[' xmms = ipv6 ']'
+ '[' -arts = ipv6 ']'
+ '[' -gd = ipv6 ']'
+ '[' -kde = ipv6 ']'
+ '[' -pdflib = ipv6 ']'
+ '[' -python = ipv6 ']'
+ '[' -qt = ipv6 ']'
+ '[' -spell = ipv6 ']'
+ return 1
+ diefunc src_unpack -18 1
+ local funcname=src_unpack lineno=-18 exitcode=1
+ shift 3
+ echo

+ echo '!!! ERROR: The ebuild did not complete successfully.'
!!! ERROR: The ebuild did not complete successfully.
+ echo '!!! Function src_unpack, Line -18, Exitcode 1'
!!! Function src_unpack, Line -18, Exitcode 1
+ echo '!!! (no error message)'
!!! (no error message)
+ echo

+ exit 1
+ esave_ebuild_env
+ set -f
+ unset esave_ebuild_env
+ set
+ awk '!/PORTAGE_RESTORE_ENV|PORTAGE_MASTER_PID/ { print $0 }'
+ set +f

------- Comment #1 From Maik Schreiber 2002-08-29 17:08:29 0000 -------
Hmm, I've forgot to add that I'd doubt the emerge output will help you. As
least
it didn't help me at all ;)

------- Comment #2 From Daniel Robbins (RETIRED) 2002-09-03 13:11:02 0000 -------
Should be fixed in 2.0.34+

------- Comment #3 From Maik Schreiber 2002-09-03 13:15:18 0000 -------
Nope, it's still the same with 2.0.34. I've just rsync'ed before to make sure.

------- Comment #4 From Maik Schreiber 2002-09-03 13:29:15 0000 -------
Now _this_ is interesting. First, I ran "emerge -C djbdns", then "rm -rf
/var/tmp/portage" to absolutely make sure.

As you can see in the following, the first "ebuild ... unpack" fails
(reproducably), but the second always works. After that, "compile", "install"
and "qmerge" work as expected.


# rm -rf /var/tmp/portage/

# ebuild djbdns-1.05-r3.ebuild unpack
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Unpacking source...
>>> Unpacking djbdns-1.05.tar.gz

!!! ERROR: The ebuild did not complete successfully.
!!! Function src_unpack, Line 13, Exitcode 1
!!! (no error message)


# ebuild djbdns-1.05-r3.ebuild unpack
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Checking djbdns-1.05.tar.gz's mtime...
>>> Checking djbdns-1.05-test17.diff.bz2's mtime...
>>> WORKDIR is up-to-date, keeping...

# ebuild djbdns-1.05-r3.ebuild compile
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Checking djbdns-1.05.tar.gz's mtime...
>>> Checking djbdns-1.05-test17.diff.bz2's mtime...
>>> WORKDIR is up-to-date, keeping...
[compiles]

# ^compile^install
ebuild djbdns-1.05-r3.ebuild install
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Checking djbdns-1.05.tar.gz's mtime...
>>> Checking djbdns-1.05-test17.diff.bz2's mtime...
>>> WORKDIR is up-to-date, keeping...
>>> It appears that djbdns is already compiled; skipping.
>>> (clean to force compilation)

>>> Install djbdns-1.05-r3 into /var/tmp/portage/djbdns-1.05-r3/image/ category
net-dns
strip:
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnstrace
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsq
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/tinydns-data
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/tinydns-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/tinydns-edit
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsip
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsmx
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsqr
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsname
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnscache-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/tinydns-get
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/axfrdns-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/tinydns
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/random-ip
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsipq
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnstxt
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/axfr-get
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/walldns-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/rbldns
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/walldns
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/rbldns-data
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/rbldns-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/pickdns-data
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/pickdns-conf
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/pickdns
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/axfrdns
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnsfilter
/var/tmp/portage/djbdns-1.05-r3/image/usr/bin/dnscache
>>> Completed installing into /var/tmp/portage/djbdns-1.05-r3/image/

# ^install^qmerge
ebuild djbdns-1.05-r3.ebuild qmerge
>>> md5 ;-) djbdns-1.05.tar.gz
>>> md5 ;-) djbdns-1.05-test17.diff.bz2
>>> Merging net-dns/djbdns-1.05-r3 to /
--- /etc/
--- /etc/dnsroots.global
--- /usr/
--- /usr/bin/
>>> /usr/bin/dnstrace
>>> /usr/bin/dnsq
>>> /usr/bin/tinydns-data
>>> /usr/bin/tinydns-conf
>>> /usr/bin/tinydns-edit
>>> /usr/bin/dnsip
>>> /usr/bin/dnsmx
>>> /usr/bin/dnsqr
>>> /usr/bin/dnsname
>>> /usr/bin/dnscache-conf
>>> /usr/bin/tinydns-get
>>> /usr/bin/dnstracesort
>>> /usr/bin/axfrdns-conf
>>> /usr/bin/tinydns
>>> /usr/bin/random-ip
>>> /usr/bin/dnsipq
>>> /usr/bin/dnstxt
>>> /usr/bin/axfr-get
>>> /usr/bin/walldns-conf
>>> /usr/bin/rbldns
>>> /usr/bin/dnscache-setup
>>> /usr/bin/walldns
>>> /usr/bin/rbldns-data
>>> /usr/bin/rbldns-conf
>>> /usr/bin/pickdns-data
>>> /usr/bin/pickdns-conf
>>> /usr/bin/pickdns
>>> /usr/bin/axfrdns
>>> /usr/bin/tinydns-setup
>>> /usr/bin/dnsfilter
>>> /usr/bin/dnscache
--- /usr/share/
--- /usr/share/doc/
>>> /usr/share/doc/djbdns-1.05-r3/
>>> /usr/share/doc/djbdns-1.05-r3/VERSION.gz
>>> /usr/share/doc/djbdns-1.05-r3/SYSDEPS.gz
>>> /usr/share/doc/djbdns-1.05-r3/README.gz
>>> /usr/share/doc/djbdns-1.05-r3/TODO.gz
>>> /usr/share/doc/djbdns-1.05-r3/TARGETS.gz
>>> /usr/share/doc/djbdns-1.05-r3/CHANGES.gz
>>> /usr/share/doc/djbdns-1.05-r3/FILES.gz

groupadd: group nofiles exists
id: dnscache: No such user
id: dnslog: No such user
id: tinydns: No such user

 * Use dnscache-setup and tinydns-setup to help you configure your nameservers!

>>> Regenerating /etc/ld.so.cache...
>>> net-dns/djbdns-1.05-r3 merged.

------- Comment #5 From Maik Schreiber 2002-09-04 16:26:57 0000 -------
Update: Still there in 2.0.36 (dunno if you've done something about it since
2.0.34).

------- Comment #6 From Claes Strom 2002-09-08 12:13:09 0000 -------
I had to comment out the "use ipv6 && .... || die" line in
..r3.ebuild:src_compile(), to compile/install it!

(I have -ipv6 in my USE-variabel)

------- Comment #7 From Maurizio Disimino 2002-09-08 13:09:50 0000 -------
I think the problem is quite clear and it's not portage-related.

use ipv6 && bzcat ${DISTDIR}/djbdns-1.05-test17.diff.bz2 | patch -d ${S} -p1|| die

if you have "-ipv6" in your USE the ebuild will not patch djbdns and exit
without any reason..

in fact .. as blizzy reported:

!!! ERROR: The ebuild did not complete successfully.
!!! Function src_unpack, Line -18, Exitcode 1
!!! (no error message)

first .. let's fix:
use ipv6 && { bzcat ${DISTDIR}/djbdns-1.05-test17.diff.bz2 | patch -d ${S} -p1||
die "Failed to apply the ipv6 patch" }

and about the SRC_URI, it should be:
SRC_URI="http://cr.yp.to/${PN}/${P}.tar.gz
        ipv6? ( http://www.fefe.de/dns/djbdns-1.05-test17.diff.bz2 )"

regards,

Maurizio aka j2ee

------- Comment #8 From Jens Finkhäuser 2002-09-10 03:36:18 0000 -------
use ipv6 && { bzcat ${DISTDIR}/djbdns-1.05-test17.diff.bz2 | patch -d ${S}
-p1||
die "Failed to apply the ipv6 patch" }

is lacking a semicolon before the closing curly brace:

use ipv6 && { bzcat ${DISTDIR}/djbdns-1.05-test17.diff.bz2 | patch -d ${S}
-p1||
die "Failed to apply the ipv6 patch" ; }

------- Comment #9 From Daniel Robbins (RETIRED) 2002-09-10 09:45:13 0000 -------
OK, fixed on CVS (in djbdns) as of 10 Sep 2002

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug